Subject: [IDMEF] IESG Comment section 3.2.5

From: Herve Debar <[email-masked]>
Date: Thu, 08 Jan 2004 14:36:25 +0100

> Also, I noticed this:
 > [[
 > 3.2.5 Enumerated Types
 >
 >    Enumerated types are represented by the ENUM data type, and consist
 >    of an ordered list of acceptable values.  Each value has a rank
 >    (number) and a representing keyword.
 >
 >    Within IDMEF XML messages, the enumerated type keywords are used as
 >    attribute values, and the ranks are ignored.  However, those IDMEF-
 >    compliant applications that choose to represent these values
 >    internally in a numeric format MUST use the rank values identified
 > in
 >    this memo.
 > ]]
 >
 > What right has a spec of this type to tell an application to do
 > internally?

Suggestion: drop paragraph.

Hervé
-- 
Hervé Debar             <mailto:[email-masked]>
Tel: +33 (0)2 31 75 92 61            GSM: +33 (0)6 74 09 09 66
France Télécom R&D                   Fax: +33 (0)2 31 75 93 13
42 rue des Coutures  (--)  BP 6243  (--)  F-14066 Caen Cedex 4

---

From: "David A. Curry" <[email-masked]>
Date: Sun, 11 Jan 2004 10:52:21 -0500

>>>>> On Thu, 8 Jan 2004, Herve Debar, identified as "Herve" below, wrote:

  +> Also, I noticed this: [[ 3.2.5 Enumerated Types
  +> Enumerated types are represented by the ENUM data type, and consist of an
  +> ordered list of acceptable values.  Each value has a rank (number) and a
  +> representing keyword.
  +> Within IDMEF XML messages, the enumerated type keywords are used as
  +> attribute values, and the ranks are ignored.  However, those IDMEF-
  +> compliant applications that choose to represent these values internally in
  +> a numeric format MUST use the rank values identified in this memo. ]]
  +> What right has a spec of this type to tell an application to do
  +> internally?

  Herve> Suggestion: drop paragraph.

Agreed.  I think this is an artifact of the merge of the UML draft (which had
an SMI/SNMP flavor) and the XML draft, and probably never should have made it
through the merge.

--Dave

---

From: Herve Debar <[email-masked]>
Date: Tue, 13 Jan 2004 01:21:10 +0100

> an SMI/SNMP flavor) and the XML draft, and probably never should have made it
Formal proposal:
---------

Replace:

<section title="Enumerated Types">
<t>Enumerated types are represented by the ENUM data type, and consist
of an ordered list of acceptable values.  Each value has a rank
(number) and a representing keyword.</t>

<t>Within IDMEF XML messages, the enumerated type keywords are used as
attribute values, and the ranks are ignored.  However, those IDMEF-
compliant applications that choose to represent these values
internally in a numeric format MUST use the rank values identified in
this memo.</t>
</section>

by

<section title="Enumerated Types">
<t>Enumerated types are represented by the ENUM data type, and consist
of an ordered list of acceptable values.</t>
</section>

Possibility:
------------
Create namespaces for all enum types to allow easier evolution of the 
standard ?

*Unless strong objections, this change will appear in next draft.*

Hervé